/***************************************

	Global data tables

***************************************/

#include "Slicer.h"

Word ErrorFlag;		/* Set to true if an error occured */
Word LineNum;		/* Input line # */
char Delimiters[] = " \t\n";		/* Token delimiters */
char NumDelimiters[] = " ,\t\n";	/* Value delimiters */
Bool PackedFlag;			/* True if shape data should be compressed */
Bool HeaderFlag=TRUE;	/* True if no header should be written */
Bool SidewaysFlag;		/* True if the shape is rotated 90 degrees */
Bool MaskEnable;			/* Do I cut out with a mask? */
Bool IndexArrayFlag;		/* True if I always generate an index array table */
MyShape_t Shapes[MAXSHAPES];	/* All clipped shapes */
Word8 *g_pPictureBuffer;    /* Pointer to picture buffer */
Word8 *g_pPalette;  /* Extracted palette (256 RGBs) */
Word8 *Palettes;
Word PicHeight;     /* Height of picture in pixels */
Word PicWidth;      /* Width of picture in pixels */
Word MaskValue;         /* Mask value to use */
Word ShapeCount;        /* Number of shapes cut */
Word8 TransTable[256];  /* Shape color table */
Word ReduceColor;       /* Color to reduce by */
Word ReduceEnable;      /* Enable reduction? */

Word8 Default3DOPal[128] = {
	0x00,0x00,0x00,0x00,0x01,0x08,0x08,0x08,0x02,0x10,0x10,0x10,0x03,0x18,0x18,0x18,
	0x04,0x20,0x20,0x20,0x05,0x29,0x29,0x29,0x06,0x31,0x31,0x31,0x07,0x39,0x39,0x39,
	0x08,0x41,0x41,0x41,0x09,0x4A,0x4A,0x4A,0x0A,0x52,0x52,0x52,0x0B,0x5A,0x5A,0x5A,
	0x0C,0x62,0x62,0x62,0x0D,0x6A,0x6A,0x6A,0x0E,0x73,0x73,0x73,0x0F,0x7B,0x7B,0x7B,
	0x10,0x83,0x83,0x83,0x11,0x8B,0x8B,0x8B,0x12,0x94,0x94,0x94,0x13,0x9C,0x9C,0x9C,
	0x14,0xA4,0xA4,0xA4,0x15,0xAC,0xAC,0xAC,0x16,0xB4,0xB4,0xB4,0x17,0xBD,0xBD,0xBD,
	0x18,0xC5,0xC5,0xC5,0x19,0xCD,0xCD,0xCD,0x1A,0xD5,0xD5,0xD5,0x1B,0xDE,0xDE,0xDE,
	0x1C,0xE6,0xE6,0xE6,0x1D,0xEE,0xEE,0xEE,0x1E,0xF6,0xF6,0xF6,0x1F,0xFF,0xFF,0xFF
};

